
PKG := jholtrop.gvsu.cs675.bottomup
PKGPATH := $(subst .,/,$(PKG))
PARSER := $(PKGPATH)/parser/Parser.java
GRAMMAR := arithmetic.grammar

all: $(PARSER) prog

$(PARSER): $(GRAMMAR)
	sablecc $(GRAMMAR)

.PHONY: prog
prog:
	javac $(PKGPATH)/*.java

.PHONY: run
run:
	java $(PKG).Evaluator
